Main Page Groups Namespaces

# sigc::type_trait< T_type[N]> Struct Template Reference

List of all members.

## Public Types

typedef T_type* | type
typedef T_type*& | pass
typedef const T_type*& | take
typedef T_type** | pointer

### template <class T_type, int N>
struct sigc::type_trait< T_type[N]>

## Member Typedef Documentation

template <class T_type, int N>
typedef T_type*& sigc::type_trait< T_type[N]>::pass

template <class T_type, int N>
typedef T_type** sigc::type_trait< T_type[N]>::pointer

template <class T_type, int N>
typedef const T_type*& sigc::type_trait< T_type[N]>::take

template <class T_type, int N>
typedef T_type* sigc::type_trait< T_type[N]>::type

The documentation for this struct was generated from the following file:

- type_traits.h